### Method

# Gimp Path stroke_flip_free

since: 2.4

#### Declaration [src]

    gboolean
    gimp_path_stroke_flip_free (
      GimpPath* path,
      gint stroke_id,
      gdouble x1,
      gdouble y1,
      gdouble x2,
      gdouble y2
    )

#### Description [src]

Flips the given stroke about an arbitrary axis.

Flips the given stroke about an arbitrary axis. Axis is defined by two coordinates in the image (in pixels), through which the flipping axis passes.

Available since: 2.4

#### Parameters

`stroke_id`

  Type: `gint`

  The stroke ID.

`x1`

  Type: `gdouble`

  X coordinate of the first point of the flipping axis.

`y1`

  Type: `gdouble`

  Y coordinate of the first point of the flipping axis.

`x2`

  Type: `gdouble`

  X coordinate of the second point of the flipping axis.

`y2`

  Type: `gdouble`

  Y coordinate of the second point of the flipping axis.

#### Return value

Type: `gboolean`

TRUE on success.